UPTIME(1)

BEZEICHNUNG
uptime - feststellen, wie lange das System schon läuft

ÜBERSICHT
uptime [Option ...]

BESCHREIBUNG
uptime zeigt in einer Zeile die folgenden Informationen an: die aktuelle Zeit, wie lange das System bereits läuft, die Anzahl der aktuell angemeldeten Benutzer und die durchschnittliche Auslastung des Systems in den letzten 1, 5 und 15 Minuten.

Dies sind dieselben Informationen, die auch in der Kopfzeile des Befehls w(1) angezeigt werden.

System load averages is the average number of processes that are either in a runnable or uninterruptible state. A process in a runnable state is either using the CPU or waiting to use the CPU. A process in uninterruptible state is waiting for some I/O access, eg waiting for disk. The averages are taken over the three time intervals. Load averages are not normalized for the number of CPUs in a system, so a load average of 1 means a single CPU system is loaded all the time while on a 4 CPU system it means it was idle 75% of the time.

OPTIONEN

-c, --container
    zeigt die Container- anstatt der System-Betriebszeit.

-p, --pretty
    zeigt die Betriebszeit im schönen Format an.

-h, --help
    zeigt diesen Hilfetext an.

-r, --raw
    zeigt die Werte im Rohformat an. Die aktuelle Zeit und die Betriebszeit werden in Sekunden angezeigt.

-s, --since
    System ist hochgefahren seit, im Format »yyyy-mm-dd HH:MM:SS«

-V, --version
    Versionsinformationen anzeigen und das Programm beenden.

UMGEBUNGSVARIABLEN

PROCPS_CONTAINER
    Falls $PROCPS_CONTAINER gesetzt ist, verhält sich uptime so, als ob die Option --container angegeben wurde.

DATEIEN

/var/run/utmp
    Informationen darüber, wer aktuell angemeldet ist

/proc
    Prozessinformation

SIEHE AUCH
ps(1), top(1), utmp(5), w(1)

FEHLER MELDEN
Bitte schicken Sie Fehlermeldungen (auf Englisch) an procps@freelists.org.